<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateLdapFilterReq StructType
 * @subpackage Structs
 */
class UpdateLdapFilterReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 4096
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The filter
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $filter;
    /**
     * Constructor method for UpdateLdapFilterReq
     * @uses UpdateLdapFilterReq::setNewName()
     * @uses UpdateLdapFilterReq::setFilter()
     * @param string $newName
     * @param string $filter
     */
    public function __construct($newName = null, $filter = null)
    {
        $this
            ->setNewName($newName)
            ->setFilter($filter);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateLdapFilterReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get filter value
     * @return string|null
     */
    public function getFilter()
    {
        return $this->filter;
    }
    /**
     * Set filter value
     * @param string $filter
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateLdapFilterReq
     */
    public function setFilter($filter = null)
    {
        $this->filter = $filter;
        return $this;
    }
}
